import { ReactElement } from "react";
import { Card } from "./card";

type ErrorProps = {
  /**
   * The message to show.
   */
  message: string;
};

export function ErrorCard({ message }: ErrorProps): ReactElement {
  return (
    <Card>
      <div className="flex flex-col justify-center text-center">
        <h1 className="text-xl text-red-400">Error</h1>
        <p>{message}</p>
      </div>
    </Card>
  );
}
